GMT2RGB(1)

NAME
gmt2rgb - Converting a grid file, a raw, or a Sun raster file to r/g/b grids

SYNOPSIS
gmt2rgb infile -Gtemplate [ -Ccptfile ] [ -F ] [ -Ixinc[m|c][/yinc[m|c]] ] [ -Llayer ] [ -Rxmin/xmax/ymin/ymax[r] ] [ -V ] [ -Wwidth/height[/n_bytes] ]

DESCRIPTION
gmt2rgb reads one of three types of input files: (1) A Sun 8-, 24-, or 32-bit raster file; we the write out the red, green, and blue components (0-255 range) to separate grid files. Since the raster file header is limited you may use the -R, -F, -I options to set a complete header record [Default is simply based on the number of rows and columns]. (2) A binary 2-D grid file; we then convert the z-values to red, green, blue via the provided cpt file. Optionally, only write out one of the r, g, b, layers. (3) A RGB or RGBA raw raster file. Since raw rasterfiles have no header, you have to give the image dimensions via the -W option.

infile
    The (1) Sun raster file, (2) 2-D binary grid file, or (3) raw raster file to be converted.

-G  Provide an output name template for the three output grids. The template should be a regular grid file name except it must contain the string %c which on output will be replaced by r, g, or b.

OPTIONS

-C  name of the color palette table (for 2-D binary input grid only).

-F  Force pixel node registration [Default is gridline registration]. (Node registrations are defined in GMT Cookbook Appendix B on grid file formats.)

-I  x_inc [and optionally y_inc] is the grid spacing. Optionally, append a suffix modifier. Geographical (degrees) coordinates: Append m to indicate arc minutes or c to indicate arc seconds. If one of the units e, k, i, or n is appended instead, the increment is assumed to be given in meter, km, miles, or nautical miles, respectively, and will be converted to the equivalent degrees longitude at the middle latitude of the region (the conversion depends on ELLIPSOID). If /y_inc is given but set to 0 it will be reset equal to x_inc; otherwise it will be converted to degrees latitude. All coordinates: If = is appended then the corresponding max x (east) or y (north) may be slightly adjusted to fit exactly the given increment [by default the increment may be adjusted slightly to fit the given domain]. Finally, instead of giving an increment you may specify the number of nodes desired by appending + to the supplied integer argument; the increment is then recalculated from the number of nodes and the domain. The resulting increment value depends on whether you have selected a gridline-registered or pixel-registered grid; see Appendix B for details. Note: if -Rgrdfile is used then grid spacing has already been initialized; use -I to override the values.

-L  Output only the specified layer (r, g, or b). [Default outputs all 3 layers].

-R  xmin, xmax, ymin, and ymax specify the Region of interest. For geographic regions, these limits correspond to west, east, south, and north and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing, if applicable) are copied from the grid. For calendar time coordinates you may either give (a) relative time (relative to the selected TIME_EPOCH and in the selected TIME_UNIT; append t to -JX|x), or (b) absolute time of the form [date]T[clock] (append T to -JX|x). At least one of date and clock must be present; the T is always required. The date string must be of the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or yyyy[-Www[-d]] (ISO week calendar), while the clock string must be of the form hh:mm:ss[.xxx]. The use of delimiters and their type and positions must be exactly as indicated (however, input, output and plot formats are customizable; see gmtdefaults).

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  Sets the size of the raw raster file. By default an RGB file (which has 3 bytes/pixel) is assumed. For RGBA files use n_bytes = 4. Use -W for guessing the image size of a RGB raw file, and -W=/=/4 if the raw image is of the RGBA type. Notice that this might be a bit slow because the guessing algorithm makes uses of FFTs.

EXAMPLES
To use the color palette topo.cpt to create r, g, b component grids from hawaii_grv.grd file, use

gmt2rgb hawaii_grv.grd -Ctopo.cpt -Ghawaii_grv_%c.grd

To output the red component from the Sun raster radiation.ras file, use

gmt2rgb radiation.ras -Lr -Gcomp_%c.grd

SEE ALSO
gmtdefaults(1), GMT(1), grdedit(1), grdimage(1), grdmath(1), grdview(1)